mbed TLS v2.23.0

Data Fields
mbedtls_chachapoly_context Struct Reference

`#include <chachapoly.h>`

Collaboration diagram for mbedtls_chachapoly_context:
[legend]

## Data Fields
mbedtls_chacha20_context | chacha20_ctx
mbedtls_poly1305_context | poly1305_ctx
uint64_t | aad_len
uint64_t | ciphertext_len
int | state
mbedtls_chachapoly_mode_t | mode

## Detailed Description

Definition at line 64 of file chachapoly.h.

## Field Documentation

## ◆ aad_len

uint64_t mbedtls_chachapoly_context::aad_len

The length (bytes) of the Additional Authenticated Data.

Definition at line 68 of file chachapoly.h.

## ◆ chacha20_ctx

mbedtls_chacha20_context mbedtls_chachapoly_context::chacha20_ctx

The ChaCha20 context.

Definition at line 66 of file chachapoly.h.

## ◆ ciphertext_len

uint64_t mbedtls_chachapoly_context::ciphertext_len

The length (bytes) of the ciphertext.

Definition at line 69 of file chachapoly.h.

## ◆ mode

mbedtls_chachapoly_mode_t mbedtls_chachapoly_context::mode

Cipher mode (encrypt or decrypt).

Definition at line 71 of file chachapoly.h.

## ◆ poly1305_ctx

mbedtls_poly1305_context mbedtls_chachapoly_context::poly1305_ctx

The Poly1305 context.

Definition at line 67 of file chachapoly.h.

## ◆ state

int mbedtls_chachapoly_context::state

The current state of the context.

Definition at line 70 of file chachapoly.h.

The documentation for this struct was generated from the following file:

- chachapoly.h